%global install_loc    %{_datadir}/eclipse/dropins/packagekit
%global debug_package %{nil}

Name:           eclipse-packagekit
Version:        0.2.0
Release:        6%{?dist}
Summary:        PackageKit integration tools for Eclipse (Incubation)

Group:          Development/Tools
License:        EPL
URL:            https://fedorahosted.org/eclipse-packagekit/
Source0:        https://git.fedorahosted.org/cgit/eclipse-packagekit.git/snapshot/eclipse-packagekit-%{version}.tar.bz2
BuildArch:     noarch
BuildRequires: dbus-java
BuildRequires: maven-local
BuildRequires: tycho
BuildRequires: eclipse-license
Requires: eclipse-platform >= 3.4.0
Requires: dbus-java

%description
PackageKit integration plugin. It also contains autotools and rpm
plugins integration code.

%prep
%setup -q

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.2.0-3
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 12 2015 Alexander Kurtakov <akurtako@redhat.com> 0.2.0-1
- Update to 0.2.0 release.

* Wed Sep 17 2014 Roland Grunberg <rgrunber@redhat.com> - 0.1.0-8
- Update to latest Java packaging guidelines.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.1.0-5
- Bump release version to fix previous commit.
- Skip tycho version check.

* Mon Jul 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.1.0-4
- Rebuild to remove content.jar and artifacts.jar (RHBZ#986618).

* Wed Jul 17 2013 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-3
- Another try to fix the symlinks.

* Tue Jul 16 2013 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-2
- Fix symlinks and make it noarch.

* Fri Jul 5 2013 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-1
- Update to upstream release 0.1.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 3 2012 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-3
- Fix build with new pdebuild.
- Fix url to point to the new home.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 8 2011 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-1
- Update to upstream 0.0.2.
- Review fixes.

* Tue Jul 5 2011 Alexander Kurtakov <akurtako@redhat.com> 0.0.1-1
- Initial package.
